> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Webhook

> Delete a webhook subscription.




## OpenAPI

````yaml delete /webhooks/{id}
openapi: 3.1.0
info:
  title: Programmatic Webhooks API
  version: v1
  description: API used for creating, retrieving, updating, and deleting webhooks.
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Programmatic Webhooks
paths:
  /webhooks/{id}:
    delete:
      tags:
        - Programmatic Webhooks
      summary: Delete Webhook
      description: |
        Delete a webhook subscription.
      operationId: deleteWebhook
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
          example: 12345
          description: The webhook's unique identifier.
      responses:
        '204':
          description: No Content
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
      security:
        - oauth2:
            - developer_tools
        - api_key: []
components:
  schemas:
    UnauthorizedResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              examples:
                - '401'
            http_code:
              type: string
              examples:
                - GEN-UNAUTHORIZED
            message:
              type: string
              examples:
                - Unauthorized.
    NotFoundResponse:
      type: object
      properties:
        errors:
          type: object
          properties:
            code:
              type: string
              examples:
                - NOT_FOUND
  securitySchemes:
    oauth2:
      type: oauth2
      description: OAuth 2.0 authorization
      flows:
        authorizationCode:
          authorizationUrl: https://oauth.loopreturns.com/authorize
          tokenUrl: https://oauth.loopreturns.com/oauth/token
          scopes:
            developer_tools: Access to developer tools including webhooks
    api_key:
      type: apiKey
      name: X-Authorization
      in: header

````